Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class LookAndFeelUtils

    java.lang.Object
      org.jdesktop.swingx.plaf.LookAndFeelUtils

    public class LookAndFeelUtils

extends java.lang.Object

Collection of helpers. Could move to LookAndFeelAddon?

Author:
  Jeanette Winzenburg

Constructor Summary
`LookAndFeelUtils()`

Method Summary
`static java.awt.Color` | `getAsNotUIResource(java.awt.Color color)` Returns a Color based on the param which is not of type UIResource.
`static java.awt.Font` | `getAsNotUIResource(java.awt.Font font)` Returns a Font based on the param which is not of type UIResource.
`static java.lang.Object` | `getUIOfType(javax.swing.plaf.ComponentUI ui, java.lang.Class<?> klass)` Returns the ui that is of type `klass`, or null if one can not be found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookAndFeelUtils

    public LookAndFeelUtils()

Method Detail

### getUIOfType

    public static java.lang.Object getUIOfType(javax.swing.plaf.ComponentUI ui,
                                               java.lang.Class<?> klass)

  Returns the ui that is of type `klass`, or null if one can not be found.

### getAsNotUIResource

    public static java.awt.Font getAsNotUIResource(java.awt.Font font)

  Returns a Font based on the param which is not of type UIResource.

  Parameters:
    `font` - the base font
  Returns:
    a font not of type UIResource, may be null.

### getAsNotUIResource

    public static java.awt.Color getAsNotUIResource(java.awt.Color color)

  Returns a Color based on the param which is not of type UIResource.

  Parameters:
    `color` - the base color
  Returns:
    a color not of type UIResource, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.